/*
 * Copyright (c) 2021 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * Contributors:
 *   Christopher Guindon <chris.guindon@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
*/

@import (reference) '../styles.less';

header.header-eclipseide {
  & {
    background-image: @header-background-release;
    background-size: cover;
    background-position: top;

    @media (min-width: @screen-sm-min) {
      background-position: right;
    }
  }
  .nav-container {
    background-color: rgba(5, 16, 96, 0.4);
    padding: 0;
  }
  .jumbotron-custom::after {
    display: none;
  }

  .custom-jumbotron-header {
    filter: drop-shadow(0 4px 6px #00000044);
  }

  .featured-jumbotron,
  .custom-jumbotron-header {
    & {
      text-align: center;
      position: relative;
      padding: 60px 0;
      max-height: 60rem;
      @media (min-width: 992px) {
        text-align: left;
      }
    }
    .event-title {
      font-size: 45px;
      font-weight: 700;
      text-shadow: 1px 1px 10px #000;
      @media (min-width: 992px) {
        text-shadow: none;
        font-size: 55px;
        font-weight: 800;
      }
    }
    .event-subtitle {
      font-size: 28px;
      font-weight: 400;
      margin-bottom: 25px;
      text-shadow: 2px 2px 10px #000;
      @media (min-width: 992px) {
        text-shadow: none;
        font-size: 32px;
      }
    }

    .release-btns {
      max-width: 50rem;
      margin: auto;

      @media (min-width: @screen-md-min) {
        margin: unset;
      }
    }

    .release-btns .btn {
      min-width: unset;
      width: 100%;
    }
  }

  .jumbotron-custom-social-container {
    display: none;
  }
}

.eclipse-ide-release {
  .nn-btn {
    margin-bottom: 1em;
  }
  @media (min-width: @screen-xs-min) {
    .nn-btn {
      border-top-right-radius: 0;
      border-bottom-right-radius: 0;
      margin-bottom: unset;
    }
    .doc-btn {
      border-top-left-radius: 0;
      border-bottom-left-radius: 0;
    }
  }
  .btn {
    font-size: 16px;
  }
  h2,
  h3 {
    color: #3a315c;
  }
  .eclipse-ide-new-features {
    padding-top: 30px;
    padding-bottom: 50px;
    .eclipse-ide-new-features-prefix {
      & {
        text-align: center;
      }
      h2 {
        font-weight: 600;
        text-transform: uppercase;
      }
      p {
        margin-bottom: 30px;
        font-size: 20px;
        text-transform: uppercase;
        color: #3a315c;
      }
    }

    .featured-new-items {
      background-color: #eeeded;
      padding: 0 15px 10px;
      h3 {
        font-size: 18px;
        text-transform: uppercase;
        &.heading-underline {
          font-weight: 600;
          margin: 20px 0 20px;
          &:after {
            border-bottom: 4px solid #acc7f6;
          }
        }

        a {
          .link-unstyled;
          cursor: pointer;
          
          &::after {
            content: '\f08e'; // fa-external-link
            padding-left: 1ch;
            font-size: 14px;
            font-family: @fa-style-family;
          }
        }
      }
      .big {
        font-size: 18px;
      }
      .featured-new-item-icon {
        background-color: #2d2252;
        height: 60px;
        width: 60px;
        position: relative;
        top: -10px;
        padding: 10px;
        border-radius: 0px 0px 2px 2px;
        font-size: 32px;
        color: white;
        text-align: center;
        &:after {
          width: 0;
          height: 0;
          border-left: 30px solid transparent;
          border-right: 30px solid transparent;
          border-top: 10px solid #2e2252;
          content: '';
          display: block;
          bottom: -9px;
          position: absolute;
          left: 0;
        }
      }
    }

    .featured-new-links {
      text-align: center;
      li:not(:last-child) {
        @media (min-width: 768px) {
          margin-bottom: 20px;
        }
      }
    }
  }

  .featured-stats {
    & {
      background-image: url('../images/featured-stats-bg.jpg');
      background-position: top right;
      background-size: cover;
      padding: 30px 0 60px;
    }
    h2 {
      color: #fff;
    }
    .featured-stats-item {
      background-color: #fff;
      padding: 15px;
      color: #2d2252;
      font-weight: 600;
      border-radius: 0px 0px 2px 2px;
      a,
      a:hover,
      a:visited {
        color: #2d2252;
      }
    }
    .featured-stats-item-arrow {
      clip-path: polygon(50% 100%, 0 0, 100% 0);
      background-color: #fff;
      height: 15px;
      top: -1px;
      position: relative;
      margin-bottom: 20px;
    }
  }

  .featured-videos {
    background-color: #f9f9f9;
    padding: 50px 0;
    h2 {
      font-weight: 600;
      margin-bottom: 50px;
      text-align: center;
    }
    h3 {
      font-weight: 600;
      margin-bottom: 20px;
      margin-top: 10px;
    }
    .featured-videos-white-block {
      background-color: #fff;
      padding: 15px 20px;
      box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.1);
      display: block;
      color: #2d2252;
      transition: all 0.25s ease-out;
      &:hover {
        text-decoration: none;
        background-color: #ffc782;
        color: #2d2252;
        transform: translateY(-2px);
        box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.2);
        transition: all 0.25s ease-out;
      }
    }
    .eclipsefdn-video {
      border: 2px solid #f7941e;
    }
  }
}

.featured-footer-custom {
  & {
    height: 260px;
    background-image: url('../images/featured-footer-custom.jpg');
    background-size: cover;
    border-bottom: @brand-primary 4px solid;
  }
  h2 {
    color: #fff;
    font-size: 35px;
    font-weight: 600;
  }
  h3 {
    margin-top: 0;
    margin-bottom: 18px;
    color: @brand-primary;
    font-size: 22px;
    font-weight: 600;
  }
}

